@import '~base-scss/base';
@import '~rs-scss/input-label';

$width-assignee-column: 96px;

.leads {
    @extend %main-content;
    display: flex;
    flex-direction: column;

    .header {
        display: flex;
        align-items: center;
        flex-shrink: 0;
        justify-content: space-between;
        background-color: $color-foreground;
        padding: $spacing-small;

        .add-lead-link {
            @extend %button-like-link;
            @include background-color($color-primary);
            align-self: flex-end;
            flex-shrink: 0;
            margin: $spacing-small;
            padding: $spacing-small $spacing-medium-alt;
        }

        .filters {
            display: flex;
            flex-grow: 1;

            :global {
                .leads-filter {
                    margin: $spacing-small;
                }
            }
        }

        :global {
            .leads-filters {
                >.button {
                    align-self: flex-end;
                    flex-shrink: 0;
                    margin: $spacing-small;
                }
            }
        }
    }

    .table-container {
        display: flex;
        position: relative;
        flex-direction: column;
        flex-grow: 1;
        background-color: $color-background-row;

        .scroll-wrapper {
            flex-grow: 1;
            overflow: auto;

            .leads-table {
                .header {
                    position: sticky;
                    top: 0;
                }

                .status,
                .confidentiality {
                    text-transform: capitalize;
                }

                .created-by-link,
                .assignee-link {
                    @extend %accent-color-link;
                    margin-right: $spacing-small;
                }

                .icon-wrapper {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    font-size: $font-size-large;

                    a {
                        color: $color-accent;
                    }
                }

                $mime-column-width: 48px;

                :global {
                    .header {
                        &.created_by,
                        &.assignee {
                            width: $width-assignee-column;
                        }
                    }
                    .cell {
                        padding: $spacing-small;

                        &.created_by,
                        &.assignee {
                            color: $color-text-label;
                        }

                        &.actions {
                            padding: 0;
                        }
                    }

                    .attachmentMimeType {
                        width: $mime-column-width;
                    }

                    .title {
                        width: auto;
                    }

                    .actions {
                        white-space: nowrap;
                    }

                    .created_at {
                        time {
                            white-space: nowrap;
                        }
                    }

                    .published_on {
                        white-space: nowrap;
                    }

                    .no_of_entries {
                        width: auto;
                    }

                    .created_at,
                    .published_on,
                    .no_of_entries {
                        align-items: right;
                        justify-content: right;
                        text-align: right;
                    }

                }
            }
        }
    }

    .footer {
        display: flex;
        align-items: center;
        flex-shrink: 0;
        justify-content: space-between;
        border-top: $width-separator-thin solid $color-separator;
        background-color: $color-foreground-alt;
        padding: $spacing-small $spacing-medium-alt;

        .pager {
            display: flex;
            justify-content: center;
        }

        .link-container {
            display: flex;

            .link {
                margin: 0 $spacing-small;
                @extend %button-like-link;
                @include background-color($color-accent);
                margin-right: $spacing-extra-small;
            }
        }

        .pager-container {
            display: flex;
            align-items: baseline;

            .label {
                margin-right: $spacing-small;
            }

            .leads-per-page-input {
                width: 46px;

                :global {
                    .input {
                        // border-bottom: $width-separator-medium solid transparent;
                        direction: rtl;
                    }
                }
            }
        }
    }
}
